summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2019-06-24 15:05:55 +0200
committerErich Eckner <git@eckner.net>2019-06-24 15:05:55 +0200
commit944ee949d4a7b548c5586fe144b33903e9b5b63f (patch)
tree7ee3e54ef32e5df0d7e97c17057ef5a0aa10102f /bin/build-packages
parent96c5d00766dbba2b7b68f65f5773d3eea0e2009c (diff)
downloadbuilder-944ee949d4a7b548c5586fe144b33903e9b5b63f.tar.xz
bin/build-packages: clean up haskell-* logic of :without_check: straw
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages21
1 files changed, 12 insertions, 9 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 488d49f..0428488 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -67,6 +67,8 @@ usage() {
>&2 echo 'known straws (separated by and enclosed in ":", sets of straws separated by " "):'
>&2 echo ' :clean_chroot:'
>&2 echo ' clean the chroot before building'
+ >&2 echo ' :haskell_without_check:'
+ >&2 echo ' try with :without_check: iff this is a haskell-*, python-* or python2-* package'
>&2 echo ' :mirrored_source:'
>&2 echo ' compile from source tarbal from sources.archlinux.org if possible'
>&2 echo ' :mirrored_source_by_hash:'
@@ -299,14 +301,6 @@ while [ "${count}" -ne 0 ] && \
exit 2
fi
- if [ -z "${forced_straws}" ] && \
- printf '%s\n' "${package}" | \
- grep -q '^\(haskell\|python2\?\)-'; then
- haskell_straws=':without_check:'
- else
- haskell_straws=''
- fi
-
if [ "${git_revision##*-}" = 'HEAD' ]; then
git_revision=$(
repo_name="${git_revision%-*}"
@@ -410,12 +404,21 @@ while [ "${count}" -ne 0 ] && \
"${base_dir}/bin/ping-to-master" "$$" "${tmp_dir}" &
fi
success=false
- for straw in ${straws_that_might_repair_failing_builds} ${haskell_straws}; do
+ for straw in ${straws_that_might_repair_failing_builds}; do
if ${success}; then
break
fi
+ if echo "${straw}" | \
+ grep -qF ':haskell_without_check:'; then
+ if ! printf '%s\n' "${package}" | \
+ grep -q '^\(haskell\|python2\?\)-'; then
+ continue
+ fi
+ straw="${straw}:without_check:"
+ fi
+
echo 'preparing' > "${tmp_dir}/.ping-build-master"
outerParameters="-r ${archbuild_chroots}"